%{expand:%%define version %(php -v 2>/dev/null)}
%define phpdir %{_libdir}/php 
%define phpsource /usr/src/php-devel
%define release 1mdk
%define realname GD
%define extname gd


Summary:	%{realname} module for PHP4
Name:		php-%{extname}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
URL:		http://www.php.net
License:	PHP License
Prereq:		php-common = %{version}
Prereq:		perl
Requires:	libgd1.8 >= 1.8.4
Requires:	t1lib1 >= 1.3
Requires:	libpng3 >= 1.2.0
Requires:	freetype2
Requires:	libxpm4
BuildRequires:	freetype-devel
BuildRequires:	freetype2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	%{extname}-devel >= 1.8.4
BuildRequires:	libpng-devel >= 1.2.0
BuildRequires:	xpm-devel
BuildRequires:	t1lib-devel >= 1.3
BuildRequires:  php-devel = %{version}
Provides:	mod_php-%{extname}
Provides:	mod_php3-%{extname}
Obsoletes:	mod_php-%{extname}
Obsoletes:	mod_php3-%{extname}
BuildRoot:	%{_tmppath}/%{name}-root

%define _docdir %{_datadir}/doc/%{name}-%{version}

%description
The php-%{extname} package is a dynamic shared object (DSO) that adds %{realname} support to
PHP4. %{realname} is a library that enables you to create PNG graphics. It is linked
with freetype and t1lib so you can use TrueType fonts. PHP4 is an
HTML-embedded scripting language. If you need %{realname} support for PHP4
applications, you will need to install this package in addition to the php
package.

%build
[ -e ./%{extname} ] && rm -fr ./%{extname}
cp -dpR %{phpsource}/extensions/%{extname} .
cd %{extname}

%{phpsource}/buildext %{extname} "gd.c gdttf.c gdcache.c gdt1.c" \
        "-ljpeg -lpng -lgd -lttf -lt1 -lc" "-DCOMPILE_DL_GD \
	-DHAVE_LIBGD -DHAVE_LIBGD13 -DHAVE_LIBGD15 \
	-DHAVE_COLORCLOSESTHWB -DHAVE_GDIMAGECOLORRESOLVE \
	-DHAVE_GD_PNG -DHAVE_LIGPNG \
	-DHAVE_GD_JPG -DHAVE_LIBJPEG \
	-DHAVE_GD_WBMP -DHAVE_WMBP -DHAVE_GD_XPM -DHAVE_GD_XBM \
	-DHAVE_LIBT1 -DHAVE_LIBFREETYPE -DHAVE_LIBT1_OUTLINE \
	-DENABLE_GD_TTF -DUSE_GD_IMGSTRTTF \
	-DHAVE_GD_STRINGTTF -DHAVE_GD_STRINGFT \
	-I/usr/include/freetype2 -I/usr/include/freetype2/freetype"

%install
cd %{extname}
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
mkdir -p %{buildroot}%{phpdir}/extensions
mkdir -p %{buildroot}%{_docdir}

install -m755 %{extname}.so %{buildroot}%{phpdir}/extensions/

cat > %{buildroot}%{_docdir}/README <<EOF
The php-%{extname} package contains a dynamic shared object (DSO) for PHP4. 
To activate it, make sure the line 'extension = %{extname}.so' is uncommented
in your /etc/php.ini file.
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ -e ./%{extname} ] && rm -fr ./%{extname}

%post
alias FIXME="perl -pi -e"
if [ $1 = "1" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    FIXME 's|^;extension\s*=\s*%{extname}.so|extension = %{extname}.so|' %{_sysconfdir}/php.ini
  fi
fi
if [ $1 -gt 1 ]; then
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again
   #in a way that the older module we're replacing won't try to erase (the
   #post scripts were broken on some packages)
   #Also, there could be extra lines, so make sure we uncomment one
   #Finally, don't check for presence of php.ini, if it's not there,
   #we have a problem, so it should generate an error message.
   FIXME 's|^extension\s*=\s*%{extname}.so|;extension = %{extname}.so|g' %{_sysconfdir}/php.ini
   FIXME 's|^;extension\s*=\s*%{extname}.so|extension = %{extname}.so|' %{_sysconfdir}/php.ini
fi

%preun
alias FIXME="perl -pi -e"
if [ $1 = "0" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    FIXME 's|^extension\s*=\s*%{extname}.so|;extension = %{extname}.so|g' %{_sysconfdir}/php.ini
  fi
fi

%files 
%defattr(-,root,root)
%doc %{_docdir}/README
%{phpdir}/extensions/%{extname}.so

%changelog
* Sat Sep  7 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-1mdk
- 4.2.3 maintenance release
- Do not reload apache

* Thu Aug 22 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.2-1mdk
- Rebuild for 4.2.2
- Macroize a bit more, make version depend on "php -v"

* Tue Aug  6 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.2.1-3mdk
- rebuild for libintl.so.2

* Sun May 26 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.1-2mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>
	- misc spec file fixes

* Tue May 21 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.1-1mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>
	- misc spec file fixes
	- PHP 4.2.1

* Mon Apr 29 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.0-1mdk
- Updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>:
	- misc spec file fixes
	- PHP 4.2.0

* Mon Mar 04 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.1.2-1mdk
- PHP 4.1.2

* Wed Jan 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.1.1-2mdk
- Add -DHAVE_GD_STRINGTTF -DHAVE_GD_STRINGFT -DHAVE_GD_STRINGFTEX

* Mon Jan 07 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.1.1-1mdk
- PHP 4.1.1.

* Tue Dec 11 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.1.0-1mdk
- Update Requires and BuildRequires.
- PHP 4.1.0.

* Fri Nov 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.0.6-4mdk
- Fix no-url-tag and invalid-packager warnings in rpmlint.

* Wed Oct 10 2001 Stefan van der Eijk <stefan@eijk.nu> 4.0.6-3mdk
- BuildRequires: libjpeg-devel
- Adjust Requires: libpng2 --> libpng3

* Mon Sep 10 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.0.6-2mdk
- Provides the Obsoletes for compatibility.

* Wed Jul  4 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.6-1mdk
- 4.0.6
- BuildRequires: freetype-devel
- remove -D_HAVE_CONFIG from buildext command

* Thu Apr 19 2001 David BAUDENS <baudens@mandrakesoft.com> 4.0.4pl1-7mdk
- Fix BuildRequires on libgd*-devel to allow build

* Fri Apr 13 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-6mdk
- fix requires
- made it working with gd 1.8.4 to have working jpeg support at last

* Mon Apr  9 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-5mdk
- fix post scripts for good 

* Mon Apr  2 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-4mdk
- Split gd package from php package so that when a new gd 
  package comes out, we don't have to recompile php, only this module
